Update Customer Contact
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/contacts/{customerContactId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Department": "Management",
"Honorific": "Herr",
"FirstName": "John",
"LastName": "Smith",
"PhoneNumber": "01234 / 123456-0",
"MobilePhoneNumber": "0162 / 1234567",
"EmailAddress": "john.smith@somemail.com",
"Fax": "01234 / 123456-13"
}
'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/contacts/{customerContactId}"
payload = {
"Department": "Management",
"Honorific": "Herr",
"FirstName": "John",
"LastName": "Smith",
"PhoneNumber": "01234 / 123456-0",
"MobilePhoneNumber": "0162 / 1234567",
"EmailAddress": "john.smith@somemail.com",
"Fax": "01234 / 123456-13"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Department: 'Management',
Honorific: 'Herr',
FirstName: 'John',
LastName: 'Smith',
PhoneNumber: '01234 / 123456-0',
MobilePhoneNumber: '0162 / 1234567',
EmailAddress: 'john.smith@somemail.com',
Fax: '01234 / 123456-13'
})
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/contacts/{customerContactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Update Customer Contact
Update a specific customer contact
PATCH
/
customers
/
{customerId}
/
contacts
/
{customerContactId}
Update Customer Contact
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Body
application/json
The customer contact to update.
Model Class: UpdateCustomerContact
Example:
"Management"
Example:
"Herr"
Example:
"John"
Example:
"Smith"
Example:
"01234 / 123456-0"
Example:
"0162 / 1234567"
Example:
"john.smith@somemail.com"
Example:
"01234 / 123456-13"
Response
Was this page helpful?
⌘I